PUT
https://api.us.nylas.com/v3/webhooks/{id}Update a webhook destination
Update the values in a specific webhook destination.
Limitations
- You only need to specify fields that need to change when you make a request to this endpoint. Empty fields in the request do not overwrite existing fields.
- You should limit how many webhook destinations you have for each trigger type. When Nylas retries a webhook, the retry goes to all destinations for the specific trigger type. This can result in a lot of notifications.
- Some webhook testing tools rate-limit or block you if your webhook destination endpoint generates too much traffic. Nylas blocks Ngrok connections for this reason.
Works with an API key or an IAM API key with the webhook_destinations.update permission.